<?php
/**
* @version      4.6.0 02.07.2013
* @author       FabioZumbi12
* @package      Jshopping
* @license      GNU/GPL
* Este módulo é uma Modificação do pm_paypal
*/
defined('_JEXEC') or die('Restricted access');

class pm_pagseguro extends PaymentRoot{
    
    function showPaymentForm($params, $pmconfigs){
        include(dirname(__FILE__)."/paymentform.php");
    }

	//function call in admin
	function showAdminFormParams($params){
	  $array_params = array('email_received', 'token');
	  foreach ($array_params as $key){
	  	if (!isset($params[$key])) $params[$key] = '';
	  }
	  $orders = JModelLegacy::getInstance('orders', 'JshoppingModel'); //admin model
      include(dirname(__FILE__)."/adminparamsform.php");	  
	}

	function showEndForm($pmconfigs, $order){
        $jshopConfig = JSFactory::getConfig();	    
        $item_name = "Pedido: ".$order->order_number." | ".$order->f_name;
        $email = $pmconfigs['email_received'];
	    $totalbr = number_format($order->order_total, 2, '.', '');
		
        ?>
        <html>
        <head>
            <meta http-equiv="content-type" content="text/html; charset=utf-8" />      
        </head>
        <body>
        <form id="paymentform" action="https://pagseguro.uol.com.br/v2/checkout/payment.html" name = "paymentform" method = "post">
		
		
<!-- inicio dos Forms do Pagseguro -->	
		
<!-- Campos obrigatórios -->  
        <input name="receiverEmail" type="hidden" value='<?php print $email?>'>  
        <input name="currency" type="hidden" value='<?php print $order->currency_code_iso?>'>  
		
        <!-- Itens do pagamento (ao menos um item é obrigatório) -->  
        <input name="itemId1" type="hidden" value='<?php print $order->order_id?>'>  
        <input name="itemQuantity1" type="hidden" value="1">
        <input name="itemDescription1" type="hidden" value='<?php print $item_name?>'>  
        <input name="itemAmount1" type="hidden" value='<?php print $totalbr?>'>  

		<!-- Dados para entrega (apenas para preenchimento automático) -->  
		<input name="shippingType" type="hidden" value="3"> 
        <input name="shippingAddressPostalCode" type="hidden" value='<?php print $order->zip?>'> 
  
        <!-- Código de referência do pagamento no seu sistema (opcional) -->  
        <input name="reference" type="hidden" value='<?php print $order->order_id?>'>  
          
        <!-- Dados do comprador (opcionais) -->  
        <input name="senderName" type="hidden" value='<?php print $order->d_f_name?>'>  
        <input name="senderPhone" type="hidden" value='<?php print $order->d_phone?>'>  
        <input name="senderEmail" type="hidden" value='<?php print $order->d_email?>'>  
		
<!-- Fim dos Forms do Pagseguro -->		

        <input type='hidden' name='custom' value='<?php print $order->order_id?>'>

        </form>        
        <?php print "Redirecionando para página de pagamento do PagSeguro"?>
        <br>
        <script type="text/javascript">document.getElementById('paymentform').submit();</script>
        </body>
        </html>
        <?php
        die();
	}
    
	
    function getUrlParams($pmconfigs){
        $params = array(); 
        $params['order_id'] = JRequest::getInt("custom");
        $params['hash'] = "";
        $params['checkHash'] = 0;
        $params['checkReturnParams'] = $pmconfigs['checkdatareturn'];
    return $params;
    }
}
?>